MUNIN-UPDATE(8)

NAME
munin-update - A program to gather data from machines running munin-node

SYNOPSIS
munin-update [options]

 Options:
     --config_file=<file>    Use <file> as configuration file.
     --[no]debug             Enable [or disable] debug messages. [--nodebug]
     --[no]fork              Query hosts in parallel (--fork), or
                             sequentially (--nofork). [--fork]
     --host <host>           Limit graphed hosts to <host>. Multiple --host
                             options may be supplied.
     --service <service>     Limit graphed services to <service>. Multiple
                             --service options may be supplied.
     --timeout=<seconds>     TCP timeout when talking to clients. [$timeout]
     --help                  View this message.
     --version               View version information.

OPTIONS

--config_file=<file>
    Use <file> as the configuration file. [/etc/munin/munin.conf]

--[no]debug
    If set, log debug messages. [--nodebug]

--[no]fork
    If set, will fork off one process for each host. [--fork]

--host <host>
    Limit fetched data to those from <host<gt>. Multiple --host options may be supplied. [unset]

--service <service>
    Limit fetched data to those of <service>. Multiple --service options may be supplied. [unset]

--timeout <seconds>
    Set the network timeout to <seconds>. [180]

--help
    Print the help message then exit.

--version
    Print version information then exit.

DESCRIPTION
Munin-update is a part of the package Munin, which is used in combination with Munin's node. Munin is a group of programs to gather data from Munin's nodes, graph them, create html-pages, and optionally warn Nagios about any off-limit values.

Munin-update does the gathering. It is usually only used from within munin-cron.

It contacts each host's munin-node in turn, gathers data from it, and stores them in .rrd-files. If necessary, it will create the rrd-files and the directories to store them in.

FILES
        /etc/munin/munin.conf
        /var/lib/munin/*
        /var/log/munin/munin-update
        /run/munin/*

BUGS
For a list of bugs concerning munin-update, see FI.

Please report bugs in the bug tracker at <http://munin-monitoring.org/>.

AUTHORS
The Munin Team. FIX

COPYRIGHT
Copyright X 2002-2009 Jimmy Olsen, Audun Ytterdal, Tore Andersson, Kjell-Magne Oierud, Linpro AS, Redpill Linpro AS

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

This program is released under the GNU General Public License.